Name:                json_simple
Version:             1.1.1
Release:             1
Summary:             Simple Java toolkit for JSON
License:             ASL 2.0
URL:                 http://code.google.com/p/json-simple/
BuildArch:           noarch
Source0:             https://github.com/fangyidong/json-simple/archive/tag_release_1_1_1.tar.gz
Patch0:              json-simple-hash-java-1.8.patch
BuildRequires:       maven-local mvn(junit:junit) mvn(org.apache.felix:maven-bundle-plugin)
%description
JSON.simple is a simple Java toolkit for JSON. You can use JSON.simple
to encode or decode JSON text.
  * Full compliance with JSON specification (RFC4627) and reliable
  * Provides multiple functionalities such as encode, decode/parse
    and escape JSON text while keeping the library lightweight
  * Flexible, simple and easy to use by reusing Map and List interfaces
  * Supports streaming output of JSON text
  * Stoppable SAX-like interface for streaming input of JSON text
  * Heap based parser
  * High performance (see performance testing)
  * No dependency on external libraries
  * Both of the source code and the binary are JDK1.2 compatible

%package help
Summary:             API documentation for %{name}
Provides:            %{name}-javadoc = %{version}-%{release}
Obsoletes:           %{name}-javadoc < %{version}-%{release}
%description help
This package contains %{summary}.

%prep
%setup -q -n json-simple-tag_release_1_1_1
find . -name '*.jar' -exec rm -f '{}' \;
find . -type f -exec %{__sed} -i 's/\r//' {} \;
%patch0 -p1
%mvn_file : %{name}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc AUTHORS.txt ChangeLog.txt LICENSE.txt README.txt

%files help -f .mfiles-javadoc
%doc LICENSE.txt

%changelog
* Mon Aug 24 2020 liyanan <liyanan32@huawei.com> - 1.1.1-1
- package init
